swagger: "2.0"

info:
  version: 10.1.2
  title: Listar contratos de trabalho (HCM)
  description: "Lista os contratos de trabalho cadastrados no HCM."
  contact: 
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

tags:
  - name: "BPM - Fonte de dados"
  - name: "HCM - Fonte de dados"

paths:
  /hcm-list-employees:
    get:
      description: "Lista os contratos de trabalho cadastrados no HCM."
      deprecated: false

definitions:
  outputData:
    type: object
    properties:
      personFullname:
        type: string
        description: "Nome"
      personCpf:
        type: string
        description: "CPF"
      registerNumber:
        type: string
        description: "Matrícula"
      contractType:
        type: string
        description: "Tipo do contrato"
      hireDate:
        type: string
        description: "Data de admissão"
      dismissalDate:
        type: string
        description: "Data de demissão"
      employeeType:
        type: string
        description: "Tipo de colaborador"
      employerNumemp:
        type: string
        description: "Número da empresa"
      employerTradingName:
        type: string
        description: "Nome fantasia da empresa"
      employerCompanyName:
        type: string
        description: "Nome da empresa"
      employerCnpj:
        type: string
        description: "Cnpj da empresa"